<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - lcov.info - models\settlement.dart</title>
  <link rel="stylesheet" type="text/css" href="../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../index.html">top level</a> - <a href="index.html">models\settlement.dart</a> - settlement.dart<span style="font-size: 80%;"> (source / <a href="settlement.dart.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">lcov.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">28</td>
            <td class="headerCovTableEntry">28</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">Sat Jan  7 15:41:32 2023</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntryHi">-</td>
          </tr>
          <tr><td><img src="../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : /// Nombre Comercial    Número de Registro     Clasificación  Categoría      Provincia       Cantón Parroquia       Dirección      Teléfono Principal     Correo Electrónico     Dirección Web</a>
<a name="2"><span class="lineNum">       2 </span>            : class Settlement {</a>
<a name="3"><span class="lineNum">       3 </span>            :   String? nombreComercial;</a>
<a name="4"><span class="lineNum">       4 </span>            :   String? numeroRegistro;</a>
<a name="5"><span class="lineNum">       5 </span>            :   String? clasificacion;</a>
<a name="6"><span class="lineNum">       6 </span>            :   String? categoria;</a>
<a name="7"><span class="lineNum">       7 </span>            :   String? provincia;</a>
<a name="8"><span class="lineNum">       8 </span>            :   String? canton;</a>
<a name="9"><span class="lineNum">       9 </span>            :   String? parroquia;</a>
<a name="10"><span class="lineNum">      10 </span>            :   String? direccion;</a>
<a name="11"><span class="lineNum">      11 </span>            :   String? telefonoPrincipal;</a>
<a name="12"><span class="lineNum">      12 </span>            :   String? correoElectronico;</a>
<a name="13"><span class="lineNum">      13 </span>            :   String? direccionWeb;</a>
<a name="14"><span class="lineNum">      14 </span>            : </a>
<a name="15"><span class="lineNum">      15 </span><span class="lineCov">          2 :   Settlement(</span></a>
<a name="16"><span class="lineNum">      16 </span>            :       {this.nombreComercial,</a>
<a name="17"><span class="lineNum">      17 </span>            :       this.numeroRegistro,</a>
<a name="18"><span class="lineNum">      18 </span>            :       this.clasificacion,</a>
<a name="19"><span class="lineNum">      19 </span>            :       this.categoria,</a>
<a name="20"><span class="lineNum">      20 </span>            :       this.provincia,</a>
<a name="21"><span class="lineNum">      21 </span>            :       this.canton,</a>
<a name="22"><span class="lineNum">      22 </span>            :       this.parroquia,</a>
<a name="23"><span class="lineNum">      23 </span>            :       this.direccion,</a>
<a name="24"><span class="lineNum">      24 </span>            :       this.telefonoPrincipal,</a>
<a name="25"><span class="lineNum">      25 </span>            :       this.correoElectronico,</a>
<a name="26"><span class="lineNum">      26 </span>            :       this.direccionWeb});</a>
<a name="27"><span class="lineNum">      27 </span>            : </a>
<a name="28"><span class="lineNum">      28 </span><span class="lineCov">          1 :   Settlement.fromJson(Map&lt;String, dynamic&gt; json) {</span></a>
<a name="29"><span class="lineNum">      29 </span><span class="lineCov">          2 :     nombreComercial = json['Nombre Comercial'] ?? '';</span></a>
<a name="30"><span class="lineNum">      30 </span><span class="lineCov">          2 :     numeroRegistro = json['Número de Registro'] ?? '';</span></a>
<a name="31"><span class="lineNum">      31 </span><span class="lineCov">          2 :     clasificacion = json['Clasificación'] ?? '';</span></a>
<a name="32"><span class="lineNum">      32 </span><span class="lineCov">          2 :     categoria = json['Categoría'] ?? '';</span></a>
<a name="33"><span class="lineNum">      33 </span><span class="lineCov">          2 :     provincia = json['Provincia'] ?? '';</span></a>
<a name="34"><span class="lineNum">      34 </span><span class="lineCov">          2 :     canton = json['Cantón'];</span></a>
<a name="35"><span class="lineNum">      35 </span><span class="lineCov">          2 :     parroquia = json['Parroquia'] ?? '';</span></a>
<a name="36"><span class="lineNum">      36 </span><span class="lineCov">          2 :     direccion = json['Dirección'] ?? '';</span></a>
<a name="37"><span class="lineNum">      37 </span><span class="lineCov">          2 :     telefonoPrincipal = json['Teléfono Principal'] ?? '';</span></a>
<a name="38"><span class="lineNum">      38 </span><span class="lineCov">          2 :     correoElectronico = json['Correo Electrónico'] ?? '';</span></a>
<a name="39"><span class="lineNum">      39 </span><span class="lineCov">          2 :     direccionWeb = json['Dirección Web'] ?? '';</span></a>
<a name="40"><span class="lineNum">      40 </span>            :   }</a>
<a name="41"><span class="lineNum">      41 </span>            : </a>
<a name="42"><span class="lineNum">      42 </span><span class="lineCov">          1 :   Map&lt;String, dynamic&gt; toJson() {</span></a>
<a name="43"><span class="lineNum">      43 </span><span class="lineCov">          1 :     final Map&lt;String, dynamic&gt; data = &lt;String, dynamic&gt;{};</span></a>
<a name="44"><span class="lineNum">      44 </span><span class="lineCov">          2 :     data['Nombre Comercial'] = nombreComercial;</span></a>
<a name="45"><span class="lineNum">      45 </span><span class="lineCov">          2 :     data['Número de Registro'] = numeroRegistro;</span></a>
<a name="46"><span class="lineNum">      46 </span><span class="lineCov">          2 :     data['Clasificación'] = clasificacion;</span></a>
<a name="47"><span class="lineNum">      47 </span><span class="lineCov">          2 :     data['Categoría'] = categoria;</span></a>
<a name="48"><span class="lineNum">      48 </span><span class="lineCov">          2 :     data['Provincia'] = provincia;</span></a>
<a name="49"><span class="lineNum">      49 </span><span class="lineCov">          2 :     data['Cantón'] = canton;</span></a>
<a name="50"><span class="lineNum">      50 </span><span class="lineCov">          2 :     data['Parroquia'] = parroquia;</span></a>
<a name="51"><span class="lineNum">      51 </span><span class="lineCov">          2 :     data['Dirección'] = direccion;</span></a>
<a name="52"><span class="lineNum">      52 </span><span class="lineCov">          2 :     data['Teléfono Principal'] = telefonoPrincipal;</span></a>
<a name="53"><span class="lineNum">      53 </span><span class="lineCov">          2 :     data['Correo Electrónico'] = correoElectronico;</span></a>
<a name="54"><span class="lineNum">      54 </span><span class="lineCov">          2 :     data['Dirección Web'] = direccionWeb;</span></a>
<a name="55"><span class="lineNum">      55 </span>            :     return data;</a>
<a name="56"><span class="lineNum">      56 </span>            :   }</a>
<a name="57"><span class="lineNum">      57 </span>            : </a>
<a name="58"><span class="lineNum">      58 </span><span class="lineCov">          1 :   @override</span></a>
<a name="59"><span class="lineNum">      59 </span>            :   String toString() {</a>
<a name="60"><span class="lineNum">      60 </span><span class="lineCov">         12 :     return 'Settlement{nombreComercial: $nombreComercial, numeroRegistro: $numeroRegistro, clasificacion: $clasificacion, categoria: $categoria, provincia: $provincia, canton: $canton, parroquia: $parroquia, direccion: $direccion, telefonoPrincipal: $telefonoPrincipal, correoElectronico: $correoElectronico, direccionWeb: $direccionWeb}';</span></a>
<a name="61"><span class="lineNum">      61 </span>            :   }</a>
<a name="62"><span class="lineNum">      62 </span>            : }</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.15.alpha0w</a></td></tr>
  </table>
  <br>

</body>
</html>
